﻿using System;
using System.ComponentModel;
using System.Diagnostics;
using System.Reflection;

namespace $rootnamespace$
{
    public class $safeitemname$ : INotifyPropertyChanged
    {

        #region INotifyPropertyChanged Implementation
        public event PropertyChangedEventHandler PropertyChanged;
        protected void OnPropertyChanged(string propertyName)
        {
            PropertyChangedEventHandler p = PropertyChanged;
            if (p != null)
            {
                p(this, new PropertyChangedEventArgs(propertyName));
            }
        }
        private static readonly string ERROR_PROP_NOT_FOUND = "Property name {0} not found.\n" +
            "Possible cause: renaming the property {1}.{2} from {0} to {2} without " +
            "updating the value of the propertyName variable in setter.";
        #endregion
    }
}
